/**
* Nestlé Oncologia - Brasil
* Desenvolvido por F5 WEB DESIGN E TECNOLOGIA ATUALIZADA
* https://ef5.com.br/
* 2023-07-26 18:08:17 
**/
"use strict";

function flattenArray(array) {
  return Array.prototype.concat.apply([], array);
}
function removeDuplicates(array) {
  return array.filter(function (value, index, self) {
    return self.indexOf(value) === index;
  });
}
function removeFromArray(array, element) {
  var index = array.indexOf(element);
  if (index !== -1) {
    array.splice(index, 1);
  }
  return array;
}
function isEmpty(obj) {
  for (var prop in obj) {
    if (obj.hasOwnProperty(prop)) return false;
  }
  return true;
}
function getCookie(name) {
  var value = "; " + document.cookie;
  var parts = value.split("; " + name + "=");
  if (parts.length == 2) return parts.pop().split(";").shift();
}
function setCookie(name, value, days) {
  var expires = "";
  if (days) {
    var date = new Date();
    date.setTime(date.getTime() + days * 24 * 60 * 60 * 1000);
    expires = "; expires=" + date.toUTCString();
  }
  document.cookie = name + "=" + (value || "") + expires + "; path=/";
}
function ieVersion() {
  var ua = window.navigator.userAgent;
  if (ua.indexOf("Trident/7.0") > -1) return 11;else if (ua.indexOf("Trident/6.0") > -1) return 10;else if (ua.indexOf("Trident/5.0") > -1) return 9;else return 0; // not IE9, 10 or 11
}

function isIe() {
  return ieVersion() > 0;
}
function isMobile() {
  return $(window).width() <= 991;
}
function getUrlParameter(sParam) {
  var sPageURL = decodeURI(window.location.search.substring(1)),
    sURLVariables = sPageURL.split('&'),
    sParameterName,
    i;
  for (i = 0; i < sURLVariables.length; i++) {
    sParameterName = sURLVariables[i].split('=');
    if (sParameterName[0] === sParam) {
      return sParameterName[1] === undefined ? false : decodeURIComponent(sParameterName[1]);
    }
  }
}
;
function scrollToSelector(selector) {
  var $el = typeof selector == 'string' ? $(selector) : selector;
  if ($el.length == 0) return;
  var $header = $('.region-header');
  var $logo = $header.find('.logo');
  $('body, html').animate({
    scrollTop: $el.offset().top - $logo.outerHeight(true)
  });
}
function readLocalCss(url) {
  url = url != undefined ? url : 'http://localhost:8082/';
  var css = jQuery('link').filter(function () {
    return jQuery(this).attr('href').indexOf("/css/main.css") > 0;
  });
  css.remove();
  $('body').append($('<link id="mainCSS" rel="stylesheet" media="all" href="' + url + '/themes/custom/oncologia/Content/css/main.css">'));
}
function fixObjectFitIe() {
  if (!isIe()) return;
  jQuery('img').each(function () {
    var el = jQuery(this);
    var parent = jQuery(this).parent();
    var src = '';
    if (parent.is('picture')) parent = parent.parent();
    if (el.css('position') == 'absolute' && el.css('top') == '0px' && el.css('bottom') == '0px') {
      if (el.css('right') == 'auto') objectFit = 'cover';else if (el.css('left') == 'auto') objectFit = 'contain';else objectFit = null;
      if (el.attr('src') != undefined) src = el.attr('src');else if (el.attr('data-src') != undefined) src = el.attr('data-src');
      if (objectFit != null && src != '') {
        parent.append('<div class="image-fit-ie" style="\
                    background-image: url(' + src.replace('/[ |"|\']/g', '') + ');\
                    background-size: ' + objectFit + ';\
                    background-repeat: no-repeat;\
                    background-position: center center;\
                    position: absolute;\
                    top: 0;\
                    left: 0;\
                    width: 100%;\
                    height: 100%;\
                    "></div>');
        el.css('opacity', '0');
      }
    }
  });
}
function initLazyLoad() {
  var lazyLoadInstance = new LazyLoad({
    elements_selector: "[data-src], [data-bg]",
    class_loading: "lazy-loading",
    class_loaded: "lazy-loaded",
    class_error: "lazy-error"
  });
}
function showLoading() {
  jQuery('.loading').fadeIn();
}
function hideLoading() {
  jQuery('.loading').fadeOut();
}
function lockScroll() {
  jQuery('body, html').css('overflow', 'hidden');
}
function unlockScroll() {
  jQuery('body, html').css('overflow', '');
}
function initTooltip() {
  $('[data-tooltip]').each(function () {
    var $el = jQuery(this);
    var $tooltip = $($el.data('tooltip'));
    var $close = $tooltip.find('[data-tooltip-close]');
    var active = false;
    window.addEventListener('click', function (e) {
      var toClose = false;
      $close.each(function () {
        var $el = $(this);
        if (toClose) return;
        toClose = $el[0].contains(e.target);
      });
      if (toClose) {
        $el.removeClass('active');
        $tooltip.removeClass('active');
        active = false;
      } else if ($el[0].contains(e.target) && !active || $tooltip[0].contains(e.target)) {
        $el.addClass('active');
        $tooltip.addClass('active');
        active = true;
      } else {
        $el.removeClass('active');
        $tooltip.removeClass('active');
        active = false;
      }
    });
  });
}
var modal = {
  backdrop: null,
  modalActive: [],
  buttonActive: [],
  init: function init() {
    var othis = this;
    othis.backdrop = $('.modal-backdrop');
    othis.modalOpen = $('[modal-open]');
    othis.modalOpenSearch = $('[modal-open-search]');
    othis.modalClose = $('[modal-close]');
    othis.addEventListener();
  },
  addEventListener: function addEventListener() {
    var othis = this;
    othis.backdrop.click(function (e) {
      e.preventDefault();
      othis.close();
    });
    othis.modalClose.click(function (e) {
      e.preventDefault();
      othis.close();
    });
    othis.modalOpen.click(function (e) {
      e.preventDefault();
      othis.open($(this).attr('modal-open'), $(this));
    });
    othis.modalOpenSearch.click(function (e) {
      e.preventDefault();
      othis.open($(this).attr('modal-open-search'), $(this));
      $('#fullNavigation .input-search').trigger('focus');
    });
  },
  open: function open(selector, $button) {
    var othis = this;
    var $el = typeof selector == 'string' ? $(selector) : selector;
    if ($button != undefined) {
      $button.addClass('active');
    }
    $el.addClass('active');
    othis.backdrop.addClass('active ' + $el.data('backdrop-class'));
    lockScroll();
    othis.buttonActive.push($button);
    othis.modalActive.push($el);
  },
  close: function close(selector) {
    var othis = this;
    var index = -1;
    var $el, $button;
    if (othis.modalActive.length <= 0) return;
    if (selector == undefined) {
      index = othis.modalActive.length - 1;
    } else {
      for (i = 0; i < othis.modalActive.length; i++) {
        if (othis.modalActive[i].filter(selector).length > 0 && index < 0) {
          index = i;
        }
      }
    }
    $el = othis.modalActive[index];
    $button = othis.buttonActive[index];
    if ($button != undefined) $button.removeClass('active');
    $el.removeClass('active');
    othis.backdrop.removeClass($el.data('backdrop-class'));
    othis.modalActive.splice(index, 1);
    othis.buttonActive.splice(index, 1);
    if (othis.modalActive.length <= 0) {
      othis.backdrop.removeClass('active');
      unlockScroll();
    }
  }
};
var swiper = {
  init: function init() {
    var othis = this;
    othis.banner();
    othis.tips();
    othis.sustentabilidade();
  },
  banner: function banner() {
    $('.banner').each(function () {
      if ($(this).find('.swiper-wrapper .swiper-slide').length > 1) {
        var autoplay = $(this).data('autoplay') ? {
          delay: 4000,
          disableOnInteraction: true
        } : false;
        var swiper = new Swiper(this, {
          loop: true,
          autoplay: autoplay,
          pagination: {
            el: '.swiper-pagination',
            clickable: true
          },
          navigation: {
            nextEl: '.swiper-button-next',
            prevEl: '.swiper-button-prev'
          }
        });
      }
    });
  },
  tips: function tips() {
    $('.swiper-tips > .swiper-container').each(function () {
      if ($(this).find('> .swiper-wrapper > .swiper-slide').length >= 1) {
        var slidesPerViewDesktop = $(this).data('slides-per-view-desktop') ? $(this).data('slides-per-view-desktop') : 3;
        var slidesPerViewTablet = $(this).data('slides-per-view-desktop') ? $(this).data('slides-per-view-desktop') : 2;
        var slidesPerViewMobile = $(this).data('slides-per-view-desktop') ? $(this).data('slides-per-view-desktop') : 1;
        var simulateTouch = $(this).data('desktop-touch') ? $(this).data('desktop-touch') : false;
        var swiperSeeNext = new Swiper(this, {
          init: false,
          slidesPerView: slidesPerViewMobile,
          spaceBetween: 15,
          navigation: {
            nextEl: $(this).parent().find('.swiper-button-next').length > 0 ? $(this).parent().find('.swiper-button-next') : false,
            prevEl: $(this).parent().find('.swiper-button-prev').length > 0 ? $(this).parent().find('.swiper-button-prev') : false
          },
          breakpointsInverse: true,
          breakpoints: {
            751: {
              slidesPerView: slidesPerViewTablet,
              spaceBetween: 20
            },
            992: {
              simulateTouch: simulateTouch,
              slidesPerView: slidesPerViewDesktop,
              spaceBetween: 30
            }
          }
        });
        swiperSeeNext.on('resize init', function () {
          if (swiperSeeNext.slides.length <= swiperSeeNext.params.slidesPerView && swiperSeeNext.params.slidesPerView != 'auto') {
            if (swiperSeeNext.navigation.$nextEl) swiperSeeNext.navigation.$nextEl.css('display', 'none');
            if (swiperSeeNext.navigation.$prevEl) swiperSeeNext.navigation.$prevEl.css('display', 'none');
          } else {
            if (swiperSeeNext.navigation.$nextEl) swiperSeeNext.navigation.$nextEl.css('display', 'block');
            if (swiperSeeNext.navigation.$prevEl) swiperSeeNext.navigation.$prevEl.css('display', 'block');
          }
        });
        swiperSeeNext.init();
      }
      ;
    });
  },
  // CAROUSEL SWIPER PARA A LP DE SUSTENTABILIDADE  
  sustentabilidade: function sustentabilidade() {
    $('.more-sustainable-life-carousel > .swiper-container').each(function () {
      if ($(this).find('> .swiper-wrapper > .swiper-slide').length >= 1) {
        var slidesPerViewDesktop = $(this).data('slides-per-view-desktop') ? $(this).data('slides-per-view-desktop') : 1;
        var slidesPerViewTablet = $(this).data('slides-per-view-desktop') ? $(this).data('slides-per-view-desktop') : 1;
        var slidesPerViewMobile = $(this).data('slides-per-view-desktop') ? $(this).data('slides-per-view-desktop') : 1;
        var simulateTouch = $(this).data('desktop-touch') ? $(this).data('desktop-touch') : false;
        var swiperSeeNext = new Swiper(this, {
          init: true,
          slidesPerView: slidesPerViewMobile,
          spaceBetween: 15,
          navigation: {
            nextEl: $(this).parent().find('.swiper-button-next').length > 0 ? $(this).parent().find('.swiper-button-next') : false,
            prevEl: $(this).parent().find('.swiper-button-prev').length > 0 ? $(this).parent().find('.swiper-button-prev') : false
          },
          breakpointsInverse: true,
          breakpoints: {
            0: {
              pagination: {
                el: '.swiper-pagination',
                type: 'bullets'
              },
              navigation: {
                nextEl: false,
                prevEl: false
              }
            },
            // 751: {
            //   slidesPerView: slidesPerViewTablet,
            //   spaceBetween: 20,
            // },
            992: {
              simulateTouch: simulateTouch,
              slidesPerView: slidesPerViewDesktop,
              spaceBetween: 30
            }
          }
        });
        swiperSeeNext.on('resize init', function () {
          if (swiperSeeNext.slides.length <= swiperSeeNext.params.slidesPerView && swiperSeeNext.params.slidesPerView != 'auto') {
            if (swiperSeeNext.navigation.$nextEl) swiperSeeNext.navigation.$nextEl.css('display', 'none');
            if (swiperSeeNext.navigation.$prevEl) swiperSeeNext.navigation.$prevEl.css('display', 'none');
          } else {
            if (swiperSeeNext.navigation.$nextEl) swiperSeeNext.navigation.$nextEl.css('display', 'block');
            if (swiperSeeNext.navigation.$prevEl) swiperSeeNext.navigation.$prevEl.css('display', 'block');
          }
        });
        swiperSeeNext.init();
      }
      ;
    });
  }
  // CAROUSEL SWIPER PARA A LP DE SUSTENTABILIDADE  
};

function initSubMenu() {
  var openSubmenu = $('#fullNavigation .menu-steps > li.has-submenu > a');
  var $linkActive = null;
  var $subMenuActive = null;
  $(window).resize(function () {
    if (!isMobile()) openSubmenu.parent().find('ul').css('display', '');
  });
  function open($el) {
    if ($linkActive != null) close();
    $linkActive = $el;
    $subMenuActive = $el.parent().find('ul');
    $linkActive.addClass('opened');
    $subMenuActive.addClass('opened').slideDown();
  }
  function close() {
    $linkActive.removeClass('opened');
    $subMenuActive.removeClass('opened').slideUp();
    $linkActive = null;
    $subMenuActive = null;
  }
  openSubmenu.click(function (e) {
    e.preventDefault();
    if (!isMobile()) {
      return;
    }
    var $el = $(this);
    if (!$el.hasClass('opened')) open($el);else close();
  });
}
var buttonToTop = {
  $el: null,
  init: function init() {
    var othis = this;
    othis.$el = $('.button-to-top');
    othis.$footer = $('.region-footer');
    if (othis.$el.length <= 0) return;
    othis.setTopPosition();
    othis.addEventListener();
  },
  addEventListener: function addEventListener() {
    var othis = this;
    $(window).scroll(function () {
      othis.setTopPosition();
    });
    $(window).resize(function () {
      othis.setTopPosition();
    });
  },
  setTopPosition: function setTopPosition() {
    var othis = this;
    if ($(window).scrollTop() + $(window).height() <= othis.$footer.offset().top) othis.$el.css('position', 'fixed');else othis.$el.css('position', ''); // $(window).scrollTop() + $(window).height() - othis.$footer.offset().top)
  }
};

var tutorial = {
  $active: null,
  $backdrop: null,
  $tutorials: [],
  index: 0,
  inputsActive: false,
  init: function init(forceInit) {
    var othis = this;
    if (!forceInit && (getCookie('openTutorial') != undefined || window.sessionStorage.openTutorial != undefined)) return;
    othis.$backdrop = $('.modal-backdrop-tutorial');
    othis.$tutorials = $('.modal-tutorial');
    if (othis.$tutorials.length > 0) {
      othis.$modalClose = othis.$tutorials.find('.btn-close');
      othis.$inputs = othis.$tutorials.find('.input-no-tutorial');
      othis.addEventListener();
      othis.open(othis.index);
    }
  },
  addEventListener: function addEventListener() {
    var othis = this;
    if (othis.$modalClose != undefined) {
      othis.$modalClose.click(function (e) {
        e.preventDefault();
        othis.close();
      });
    }
    if (othis.$inputs != undefined) {
      othis.$inputs.change(function (e) {
        var self = $(this);
        othis.inputsActive = self.prop('checked');
        othis.$inputs.prop('checked', self.prop('checked'));
      });
    }
  },
  open: function open(index) {
    var othis = this;
    var $el = $(othis.$tutorials[index]);
    if (othis.$active != null) {
      othis.close();
    }
    if ($el.length > 0 && othis.$active == null) {
      othis.$active = $el;
      othis.index = index;
      if (othis.index == 2 && isMobile()) {
        var fullNavigation = $('#fullNavigation');
        fullNavigation.scrollTop(fullNavigation.height());
        tutorial.$active.css('bottom', $(window).height() - fullNavigation.find('.btn-news').offset().top + 30);
      }
      $('body').addClass('opened-tutorial-' + othis.index);
      othis.$active.addClass('active');
      othis.$backdrop.addClass('active').attr('data-tutorial', othis.index);
      lockScroll();
    }
  },
  close: function close() {
    var othis = this;
    if (othis.$active != null) {
      othis.$active.removeClass('active');
      othis.$backdrop.removeClass('active');
      othis.$active = null;
      $('body').removeClass('opened-tutorial-' + othis.index);
      if (othis.inputsActive) setCookie('openTutorial', 'true', 30);else window.sessionStorage.setItem('openTutorial', 'true');
      unlockScroll();
    }
  },
  next: function next() {
    var othis = this;
    othis.open(othis.index + 1);
  },
  prev: function prev() {
    var othis = this;
    othis.open(othis.index - 1);
  }
};
var modalNewsletter = {
  init: function init() {
    this.cacheDOM();
    this.bindEvents();
    this.openModal();
  },
  cacheDOM: function cacheDOM() {
    this.$modalNewsletter = $('#modalNewsletter');
    this.$modalNewsletterBackdrop = $('.modal-backdrop-newsletter');
    this.$closeModal = $('#modalNewsletter .btn-close');
    this.$btnCadastreSe = $('#modalNewsletter .modal-footer .btn-next');
  },
  bindEvents: function bindEvents() {
    this.$closeModal.off().on('click', this.closeModal.bind(this));
    this.$btnCadastreSe.off().on('click', this.setCookiesSessionStorage.bind(this));
  },
  openModal: function openModal() {
    if (getCookie('openModalNewsletter') != undefined || window.sessionStorage.openModalNewsletter != undefined) {
      return;
    }
    this.$modalNewsletter.addClass('active');
    this.$modalNewsletterBackdrop.addClass('active');
  },
  closeModal: function closeModal() {
    this.$modalNewsletter.removeClass('active');
    this.$modalNewsletterBackdrop.removeClass('active');
    window.sessionStorage.setItem('openModalNewsletter', 'true');
  },
  setCookiesSessionStorage: function setCookiesSessionStorage() {
    window.sessionStorage.setItem('openModalNewsletter', 'true');
  }
};
function initFilterArticles() {
  var box = $('.list-articles.filter .box-filter');
  var btnOpen = box.find('.open-filter');
  var list = box.find('.list-filter');
  var active = list.find('.active');
  btnOpen.html(active.html());
}
function addClassSubmitForm() {
  $('form input[type="submit"]').click(function () {
    $(this).parents('form').addClass('form-submitted');
  });
}
function scrollToFilter() {
  setTimeout(function () {
    var url = new URL(location.href).href;
    var anchor = url.split('#')[1];
    if (anchor) {
      scrollToSelector('#' + anchor);
    } else {
      var filter = $('#sectionFilter');
      var itemActive = filter.find('.item-filter.active');
      if (itemActive.length > 0 && (itemActive.attr('href').match(/\//g) || []).length >= 2) scrollToSelector(filter);
    }
  }, 300);
}
function openBoxSearch() {
  var button = $('#open-box');
  button.click(function () {
    $('.search-form').addClass('open');
    $(".input-search").focus();
    $(this).hide();
  });

  // $('body').on('click', function() {
  //   $('.search-form').removeClass('open');
  //   $('#open-box').addClass('active');
  // });

  $('body').click(function (event) {
    if (!$(event.target).is('.search-form') && !$(event.target).is('.open-box') && !$(event.target).is('.input-search') && !$(event.target).is('.input-submit')) {
      $("#open-box").show();
      $('.search-form').removeClass('open');
    }
  });
}
var $ = jQuery;
$(function () {
  fixObjectFitIe();
  initTooltip();
  initSubMenu();
  initFilterArticles();
  addClassSubmitForm();
  scrollToFilter();
  openBoxSearch();
  modal.init();
  tutorial.init();
  modalNewsletter.init();
  swiper.init();
  buttonToTop.init();
  initLazyLoad();

  // modal.open('#modalTutorial');

  // HIDE LOGO ON MOBILE SCROLL
  $(window).scroll(function () {
    if ($(window).scrollTop() > 0) $('.region-header').addClass('scrolled');else $('.region-header').removeClass('scrolled');
  });
});

// OPEN/CLOSE SELECT COUNTRY
$('.select-country .toggle-country').click(function () {
  $(this).toggleClass('active');
  $('.select-country .list-countries').toggleClass('active');
});
